You are not logged in.

#1 2023-01-17 12:28:48

Le Limule
Member
Registered: 2011-08-19
Posts: 9

[Solved] playonlinux fail launching since wxwidgets-gtk3 update

Like i do each week, i updated my system with archive.archlinux.org. Today i updated from 2022-07-14 to 2022-07-21. I followed the news "wxWidgets 3.2 update may need manual intervention", so i remove wxgtk2, and i get wxwidgets-gtk3 3.2 after the system update.

But now, playonlinux fail to launch:

[guigui@guigui-ordi ~]$ playonlinux
Looking for python... 3.10.5 - skipped
Looking for python2.7... 2.7.18 - wxversion(s): 3.0-gtk3
Traceback (most recent call last):
  File "/usr/share/playonlinux/python/check_python.py", line 7, in <module>
    import wx
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/__init__.py", line 45, in <module>
    from wx._core import *
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/_core.py", line 4, in <module>
    import _core_
ImportError: libwx_gtk3u_adv-3.0.so.0: cannot open shared object file: No such file or directory
failed tests
Looking for python2.6... which: no python2.6 in (/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:~/.local/share/openmw:~/.local/share/openmw/scripts:~/.local/share/openmw:~/.local/share/openmw/scripts)

Looking for python2... 2.7.18 - wxversion(s): 3.0-gtk3
Traceback (most recent call last):
  File "/usr/share/playonlinux/python/check_python.py", line 7, in <module>
    import wx
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/__init__.py", line 45, in <module>
    from wx._core import *
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/_core.py", line 4, in <module>
    import _core_
ImportError: libwx_gtk3u_adv-3.0.so.0: cannot open shared object file: No such file or directory
failed tests
Please install python before trying to run this program
[guigui@guigui-ordi ~]$ 

In /usr/lib/ i have libwx 3.2 libraries, but no 3.0.

What can i do?

Thanks!

Edit: perhaps there is a hint in this line?:
Looking for python2.7... 2.7.18 - wxversion(s): 3.0-gtk3
...

Last edited by Le Limule (2023-01-17 15:19:19)

Offline

#2 2023-01-17 12:39:39

2ManyDogs
Forum Moderator
Registered: 2012-01-15
Posts: 4,247

Re: [Solved] playonlinux fail launching since wxwidgets-gtk3 update

playonlinux is an AUR package. You need to rebuild it after the wxwidgets update.

Moving to AUR issues.


How to post. A sincere effort to use modest and proper language and grammar is a sign of respect toward the community.

Offline

#3 2023-01-17 15:18:51

Le Limule
Member
Registered: 2011-08-19
Posts: 9

Re: [Solved] playonlinux fail launching since wxwidgets-gtk3 update

Of course! I'm stupid; i didn't realize playonlinux moved to AUR. Thank you!

Offline

Board footer

Powered by FluxBB